import { defineComponent as N, toRef as y, ref as V, onMounted as x, computed as n } from "vue";
import { twJoin as o } from "./vancedvue.es40.js";
import { twMerge as T } from "./vancedvue.es41.js";
import U from "./vancedvue.es15.js";
import { useUI as W } from "./vancedvue.es42.js";
import { useFormGroup as _ } from "./vancedvue.es79.js";
import { mergeConfig as q } from "./vancedvue.es5.js";
import { input as G } from "./vancedvue.es43.js";
import r from "./vancedvue.es4.js";
const t = q(r.ui.strategy, r.ui.input, G), X = N({
  components: {
    UIcon: U
  },
  inheritAttrs: !1,
  props: {
    modelValue: {
      type: [String, Number],
      default: ""
    },
    type: {
      type: String,
      default: "text"
    },
    id: {
      type: String,
      default: null
    },
    name: {
      type: String,
      default: null
    },
    placeholder: {
      type: String,
      default: null
    },
    required: {
      type: Boolean,
      default: !1
    },
    disabled: {
      type: Boolean,
      default: !1
    },
    autofocus: {
      type: Boolean,
      default: !1
    },
    icon: {
      type: String,
      default: null
    },
    loadingIcon: {
      type: String,
      default: () => t.default.loadingIcon
    },
    leadingIcon: {
      type: String,
      default: null
    },
    trailingIcon: {
      type: String,
      default: null
    },
    trailing: {
      type: Boolean,
      default: !1
    },
    leading: {
      type: Boolean,
      default: !1
    },
    loading: {
      type: Boolean,
      default: !1
    },
    padded: {
      type: Boolean,
      default: !0
    },
    size: {
      type: String,
      default: null,
      validator(e) {
        return Object.keys(t.size).includes(e);
      }
    },
    color: {
      type: String,
      default: () => t.default.color,
      validator(e) {
        return [...r.ui.colors, ...Object.keys(t.color)].includes(e);
      }
    },
    variant: {
      type: String,
      default: () => t.default.variant,
      validator(e) {
        return [
          ...Object.keys(t.variant),
          ...Object.values(t.color).flatMap((c) => Object.keys(c))
        ].includes(e);
      }
    },
    inputClass: {
      type: String,
      default: null
    },
    class: {
      type: [String, Object, Array],
      default: void 0
    },
    ui: {
      type: Object,
      default: void 0
    }
  },
  emits: ["update:modelValue", "blur"],
  setup(e, { emit: c, slots: g }) {
    const { ui: l, attrs: p } = W("input", y(e, "ui"), t, y(e, "class")), { emitFormBlur: I, emitFormInput: b, size: i, color: u, inputId: S, name: C } = _(e, t), f = V(null), B = () => {
      var a;
      e.autofocus && ((a = f.value) == null || a.focus());
    }, j = (a) => {
      c("update:modelValue", a.target.value), b();
    }, O = (a) => {
      I(), c("blur", a);
    };
    x(() => {
      setTimeout(() => {
        B();
      }, 100);
    });
    const z = n(() => {
      var v, m;
      const a = ((m = (v = l.value.color) == null ? void 0 : v[u.value]) == null ? void 0 : m[e.variant]) || l.value.variant[e.variant];
      return T(o(
        l.value.base,
        l.value.rounded,
        l.value.placeholder,
        l.value.size[i.value],
        e.padded ? l.value.padding[i.value] : "p-0",
        a == null ? void 0 : a.replaceAll("{color}", u.value),
        (d.value || g.leading) && l.value.leading.padding[i.value],
        (s.value || g.trailing) && l.value.trailing.padding[i.value]
      ), e.inputClass);
    }), d = n(() => e.icon && e.leading || e.icon && !e.trailing || e.loading && !e.trailing || e.leadingIcon), s = n(() => e.icon && e.trailing || e.loading && e.trailing || e.trailingIcon), A = n(() => e.loading ? e.loadingIcon : e.leadingIcon || e.icon), k = n(() => e.loading && !d.value ? e.loadingIcon : e.trailingIcon || e.icon), w = n(() => o(
      l.value.icon.leading.wrapper,
      l.value.icon.leading.pointer,
      l.value.icon.leading.padding[i.value]
    )), F = n(() => o(
      l.value.icon.base,
      r.ui.colors.includes(u.value) && l.value.icon.color.replaceAll("{color}", u.value),
      l.value.icon.size[i.value],
      e.loading && "animate-spin"
    )), h = n(() => o(
      l.value.icon.trailing.wrapper,
      l.value.icon.trailing.pointer,
      l.value.icon.trailing.padding[i.value]
    )), M = n(() => o(
      l.value.icon.base,
      r.ui.colors.includes(u.value) && l.value.icon.color.replaceAll("{color}", u.value),
      l.value.icon.size[i.value],
      e.loading && !d.value && "animate-spin"
    ));
    return {
      // eslint-disable-next-line vue/no-dupe-keys
      ui: l,
      attrs: p,
      // eslint-disable-next-line vue/no-dupe-keys
      name: C,
      inputId: S,
      input: f,
      isLeading: d,
      isTrailing: s,
      // eslint-disable-next-line vue/no-dupe-keys
      inputClass: z,
      leadingIconName: A,
      leadingIconClass: F,
      leadingWrapperIconClass: w,
      trailingIconName: k,
      trailingIconClass: M,
      trailingWrapperIconClass: h,
      onInput: j,
      onBlur: O
    };
  }
});
export {
  X as default
};
