import { defineComponent as U, toRef as I, computed as a } from "vue";
import { twJoin as o } from "./vancedvue.es40.js";
import { twMerge as _ } from "./vancedvue.es41.js";
import q from "./vancedvue.es15.js";
import { useUI as G } from "./vancedvue.es42.js";
import { useFormGroup as J } from "./vancedvue.es79.js";
import { mergeConfig as L } from "./vancedvue.es5.js";
import c from "./vancedvue.es4.js";
import { select as P } from "./vancedvue.es43.js";
import { get as f } from "./vancedvue.es34.js";
const n = L(c.ui.strategy, c.ui.select, P), p = U({
  components: {
    UIcon: q
  },
  inheritAttrs: !1,
  props: {
    modelValue: {
      type: [String, Number, Object],
      default: ""
    },
    id: {
      type: String,
      default: null
    },
    name: {
      type: String,
      default: null
    },
    placeholder: {
      type: String,
      default: null
    },
    required: {
      type: Boolean,
      default: !1
    },
    disabled: {
      type: Boolean,
      default: !1
    },
    icon: {
      type: String,
      default: null
    },
    loadingIcon: {
      type: String,
      default: () => n.default.loadingIcon
    },
    leadingIcon: {
      type: String,
      default: null
    },
    trailingIcon: {
      type: String,
      default: () => n.default.trailingIcon
    },
    trailing: {
      type: Boolean,
      default: !1
    },
    leading: {
      type: Boolean,
      default: !1
    },
    loading: {
      type: Boolean,
      default: !1
    },
    padded: {
      type: Boolean,
      default: !0
    },
    options: {
      type: Array,
      default: () => []
    },
    size: {
      type: String,
      default: null,
      validator(e) {
        return Object.keys(n.size).includes(e);
      }
    },
    color: {
      type: String,
      default: () => n.default.color,
      validator(e) {
        return [...c.ui.colors, ...Object.keys(n.color)].includes(e);
      }
    },
    variant: {
      type: String,
      default: () => n.default.variant,
      validator(e) {
        return [
          ...Object.keys(n.variant),
          ...Object.values(n.color).flatMap((d) => Object.keys(d))
        ].includes(e);
      }
    },
    optionAttribute: {
      type: String,
      default: "label"
    },
    valueAttribute: {
      type: String,
      default: "value"
    },
    selectClass: {
      type: String,
      default: null
    },
    class: {
      type: [String, Object, Array],
      default: void 0
    },
    ui: {
      type: Object,
      default: void 0
    }
  },
  emits: ["update:modelValue", "change"],
  setup(e, { emit: d, slots: s }) {
    const { ui: l, attrs: S } = G("select", I(e, "ui"), n, I(e, "class")), { emitFormChange: O, inputId: C, color: u, size: i, name: z } = J(e, n), h = (t) => {
      d("update:modelValue", t.target.value);
    }, j = (t) => {
      O(), d("change", t);
    }, V = (t) => f(t, e.valueAttribute, f(t, e.optionAttribute)), B = (t) => f(t, e.optionAttribute, f(t, e.valueAttribute)), m = (t) => ["string", "number", "boolean"].includes(typeof t) ? {
      [e.valueAttribute]: t,
      [e.optionAttribute]: t
    } : {
      ...t,
      [e.valueAttribute]: V(t),
      [e.optionAttribute]: B(t)
    }, b = a(() => e.options.map((t) => m(t))), y = a(() => e.placeholder ? [
      {
        [e.valueAttribute]: "",
        [e.optionAttribute]: e.placeholder,
        disabled: !0
      },
      ...b.value
    ] : b.value), k = a(() => {
      const t = m(e.modelValue), r = y.value.find((v) => v[e.valueAttribute] === t[e.valueAttribute]);
      return r ? r[e.valueAttribute] : "";
    }), w = a(() => {
      var r, v;
      const t = ((v = (r = l.value.color) == null ? void 0 : r[u.value]) == null ? void 0 : v[e.variant]) || l.value.variant[e.variant];
      return _(o(
        l.value.base,
        l.value.rounded,
        l.value.size[i.value],
        e.padded ? l.value.padding[i.value] : "p-0",
        t == null ? void 0 : t.replaceAll("{color}", u.value),
        (g.value || s.leading) && l.value.leading.padding[i.value],
        (A.value || s.trailing) && l.value.trailing.padding[i.value]
      ), e.selectClass);
    }), g = a(() => e.icon && e.leading || e.icon && !e.trailing || e.loading && !e.trailing || e.leadingIcon), A = a(() => e.icon && e.trailing || e.loading && e.trailing || e.trailingIcon), M = a(() => e.loading ? e.loadingIcon : e.leadingIcon || e.icon), N = a(() => e.loading && !g.value ? e.loadingIcon : e.trailingIcon || e.icon), W = a(() => o(
      l.value.icon.leading.wrapper,
      l.value.icon.leading.pointer,
      l.value.icon.leading.padding[i.value]
    )), x = a(() => o(
      l.value.icon.base,
      c.ui.colors.includes(u.value) && l.value.icon.color.replaceAll("{color}", u.value),
      l.value.icon.size[i.value],
      e.loading && "animate-spin"
    )), F = a(() => o(
      l.value.icon.trailing.wrapper,
      l.value.icon.trailing.pointer,
      l.value.icon.trailing.padding[i.value]
    )), T = a(() => o(
      l.value.icon.base,
      c.ui.colors.includes(u.value) && l.value.icon.color.replaceAll("{color}", u.value),
      l.value.icon.size[i.value],
      e.loading && !g.value && "animate-spin"
    ));
    return {
      // eslint-disable-next-line vue/no-dupe-keys
      ui: l,
      attrs: S,
      // eslint-disable-next-line vue/no-dupe-keys
      name: z,
      inputId: C,
      normalizedOptionsWithPlaceholder: y,
      normalizedValue: k,
      isLeading: g,
      isTrailing: A,
      // eslint-disable-next-line vue/no-dupe-keys
      selectClass: w,
      leadingIconName: M,
      leadingIconClass: x,
      leadingWrapperIconClass: W,
      trailingIconName: N,
      trailingIconClass: T,
      trailingWrapperIconClass: F,
      onInput: h,
      onChange: j
    };
  }
});
export {
  p as default
};
