import { defineComponent as J, toRef as v, computed as l, ref as C, watch as P } from "vue";
import { asyncComputed as W } from "./vancedvue.es81.js";
import _ from "./vancedvue.es35.js";
import { twJoin as f } from "./vancedvue.es40.js";
import { twMerge as $ } from "./vancedvue.es41.js";
import D from "./vancedvue.es15.js";
import Q from "./vancedvue.es7.js";
import { useUI as S } from "./vancedvue.es42.js";
import { usePopper as T } from "./vancedvue.es86.js";
import { useFormGroup as X } from "./vancedvue.es79.js";
import { mergeConfig as O } from "./vancedvue.es5.js";
import r from "./vancedvue.es4.js";
import { select as Y, selectMenu as K } from "./vancedvue.es43.js";
import { Combobox as Z, ComboboxButton as ee, ComboboxOptions as te, ComboboxOption as ae, ComboboxInput as le } from "./vancedvue.es87.js";
import { Listbox as ne, ListboxButton as ie, ListboxOptions as oe, ListboxOption as ue } from "./vancedvue.es88.js";
import { useDebounceFn as re } from "./vancedvue.es89.js";
const n = O(r.ui.strategy, r.ui.select, Y), h = O(r.ui.strategy, r.ui.selectMenu, K), Ae = J({
  components: {
    HCombobox: Z,
    HComboboxButton: ee,
    HComboboxOptions: te,
    HComboboxOption: ae,
    HComboboxInput: le,
    HListbox: ne,
    HListboxButton: ie,
    HListboxOptions: oe,
    HListboxOption: ue,
    UIcon: D,
    UAvatar: Q
  },
  inheritAttrs: !1,
  props: {
    modelValue: {
      type: [String, Number, Object, Array],
      default: ""
    },
    by: {
      type: String,
      default: void 0
    },
    options: {
      type: Array,
      default: () => []
    },
    id: {
      type: String,
      default: null
    },
    name: {
      type: String,
      default: null
    },
    required: {
      type: Boolean,
      default: !1
    },
    icon: {
      type: String,
      default: null
    },
    loadingIcon: {
      type: String,
      default: () => n.default.loadingIcon
    },
    leadingIcon: {
      type: String,
      default: null
    },
    trailingIcon: {
      type: String,
      default: () => n.default.trailingIcon
    },
    trailing: {
      type: Boolean,
      default: !1
    },
    leading: {
      type: Boolean,
      default: !1
    },
    loading: {
      type: Boolean,
      default: !1
    },
    selectedIcon: {
      type: String,
      default: () => h.default.selectedIcon
    },
    disabled: {
      type: Boolean,
      default: !1
    },
    multiple: {
      type: Boolean,
      default: !1
    },
    searchable: {
      type: [Boolean, Function],
      default: !1
    },
    searchablePlaceholder: {
      type: String,
      default: "Search..."
    },
    debounce: {
      type: Number,
      default: 200
    },
    creatable: {
      type: Boolean,
      default: !1
    },
    placeholder: {
      type: String,
      default: null
    },
    padded: {
      type: Boolean,
      default: !0
    },
    size: {
      type: String,
      default: null,
      validator(e) {
        return Object.keys(n.size).includes(e);
      }
    },
    color: {
      type: String,
      default: () => n.default.color,
      validator(e) {
        return [...r.ui.colors, ...Object.keys(n.color)].includes(e);
      }
    },
    variant: {
      type: String,
      default: () => n.default.variant,
      validator(e) {
        return [
          ...Object.keys(n.variant),
          ...Object.values(n.color).flatMap((c) => Object.keys(c))
        ].includes(e);
      }
    },
    optionAttribute: {
      type: String,
      default: "label"
    },
    valueAttribute: {
      type: String,
      default: null
    },
    searchAttributes: {
      type: Array,
      default: null
    },
    popper: {
      type: Object,
      default: () => ({})
    },
    selectClass: {
      type: String,
      default: null
    },
    class: {
      type: [String, Object, Array],
      default: void 0
    },
    ui: {
      type: Object,
      default: void 0
    },
    uiMenu: {
      type: Object,
      default: void 0
    }
  },
  emits: ["update:modelValue", "open", "close", "change"],
  setup(e, { emit: c, slots: m }) {
    const { ui: t, attrs: A } = S("select", v(e, "ui"), n, v(e, "class")), { ui: b } = S("selectMenu", v(e, "uiMenu"), h), B = l(() => _({}, e.popper, b.value.popper)), [j, y] = T(B.value), { emitFormBlur: H, emitFormChange: L, inputId: M, color: d, size: i, name: w } = X(e, n), o = C(""), p = C(), z = l(() => {
      var u, s;
      const a = ((s = (u = t.value.color) == null ? void 0 : u[d.value]) == null ? void 0 : s[e.variant]) || t.value.variant[e.variant];
      return $(f(
        t.value.base,
        t.value.rounded,
        "text-left cursor-default",
        t.value.size[i.value],
        t.value.gap[i.value],
        e.padded ? t.value.padding[i.value] : "p-0",
        a == null ? void 0 : a.replaceAll("{color}", d.value),
        (g.value || m.leading) && t.value.leading.padding[i.value],
        (I.value || m.trailing) && t.value.trailing.padding[i.value],
        "inline-flex items-center"
      ), e.selectClass);
    }), g = l(() => e.icon && e.leading || e.icon && !e.trailing || e.loading && !e.trailing || e.leadingIcon), I = l(() => e.icon && e.trailing || e.loading && e.trailing || e.trailingIcon), F = l(() => e.loading ? e.loadingIcon : e.leadingIcon || e.icon), N = l(() => e.loading && !g.value ? e.loadingIcon : e.trailingIcon || e.icon), U = l(() => f(
      t.value.icon.leading.wrapper,
      t.value.icon.leading.pointer,
      t.value.icon.leading.padding[i.value]
    )), k = l(() => f(
      t.value.icon.base,
      r.ui.colors.includes(d.value) && t.value.icon.color.replaceAll("{color}", d.value),
      t.value.icon.size[i.value],
      e.loading && "animate-spin"
    )), q = l(() => f(
      t.value.icon.trailing.wrapper,
      t.value.icon.trailing.pointer,
      t.value.icon.trailing.padding[i.value]
    )), R = l(() => f(
      t.value.icon.base,
      r.ui.colors.includes(d.value) && t.value.icon.color.replaceAll("{color}", d.value),
      t.value.icon.size[i.value],
      e.loading && !g.value && "animate-spin"
    )), x = typeof e.searchable == "function" ? re(e.searchable, e.debounce) : void 0, V = W(async () => e.searchable && x ? await x(o.value) : o.value === "" ? e.options : e.options.filter((a) => {
      var u;
      return ((u = e.searchAttributes) != null && u.length ? e.searchAttributes : [e.optionAttribute]).some((s) => ["string", "number"].includes(typeof a) ? a.toString().search(new RegExp(o.value, "i")) !== -1 : a[s] && a[s].search(new RegExp(o.value, "i")) !== -1);
    })), E = l(() => o.value === "" ? null : { [e.optionAttribute]: o.value });
    P(y, (a) => {
      a ? c("open") : (c("close"), H());
    });
    function G(a) {
      var u;
      o.value && ((u = p.value) != null && u.$el) && (o.value = "", p.value.$el.value = ""), c("update:modelValue", a), c("change", a), L();
    }
    return {
      // eslint-disable-next-line vue/no-dupe-keys
      ui: t,
      // eslint-disable-next-line vue/no-dupe-keys
      uiMenu: b,
      attrs: A,
      // eslint-disable-next-line vue/no-dupe-keys
      name: w,
      inputId: M,
      trigger: j,
      container: y,
      isLeading: g,
      isTrailing: I,
      // eslint-disable-next-line vue/no-dupe-keys
      selectClass: z,
      leadingIconName: F,
      leadingIconClass: k,
      leadingWrapperIconClass: U,
      trailingIconName: N,
      trailingIconClass: R,
      trailingWrapperIconClass: q,
      filteredOptions: V,
      queryOption: E,
      query: o,
      onUpdate: G
    };
  }
});
export {
  Ae as default
};
